<?php
 
session_start();
include("DMMYSQLG.php");
include("DSA1000.php");
include("DMMYSQLG.php");
include('DF30000.inc');

// Graba Detalle Poliza  
function fgrab_dpol($tpol,$fpol,$npol,$nr,$cta,$ddpol,$car,$abo){
		$sql="insert into dcdpoliz (tip_pol, fec_pol, num_pol, num_reg, cta_con, desc_con, cargo, abono) values ('$tpol', '$fpol', '$npol','$nr', '$cta', '$ddpol','$car', '$abo')";
	   	$result = mysqli_query($con ,$sql);
}

// -----Empieza Formulario -----------------
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>

<body>

<?php
 
	$armes[1][]="01";
	$armes[1][]="ENERO";
	$armes[2][]="02";
	$armes[2][]="FEBRERO";
	$armes[3][]="03";
	$armes[3][]="MARZO";
	$armes[4][]="04";
	$armes[4][]="ABRIL";
	$armes[5][]="05";
	$armes[5][]="MAYO";
	$armes[6][]="06";
	$armes[6][]="JUNIO";
	$armes[7][]="07";
	$armes[7][]="JULIO";
	$armes[8][]="08";
	$armes[8][]="AGOSTO";
	$armes[9][]="09";
	$armes[9][]="SEPTIEMBRE";
	$armes[10][]="10";
	$armes[10][]="OCTUBRE";
	$armes[11][]="11";
	$armes[11][]="NOVIEMBRE";
	$armes[12][]="12";
	$armes[12][]="DICIEMBRE";
	
	$sq_catcta=mysqli_query($con ,"select * from dbcatcta");
?>

<form name="form1" id="form1" method="post" action="">
  <table   align="center">
    <tr>
      <th colspan="2">A&ntilde;o-Mes Cheques/Transferencias</th>
    </tr>
    <tr>
      <td class="tragre">A&ntilde;o</td>
      <td class="inputcodigo"><input name="axo" type="text" id="axo" maxlength="6" onKeyPress="return validar(event)" <?php
 echo 'value="'.date('Y').'"'; ?>></td>
    </tr>
    <tr>
      <td class="tragre">Mes</td>
      <td class="inputcodigo">
	  <select name="mes" id="mes">
          <?php

		for($i=1; $i<=count($armes); $i++){
				if($_POST['mes']==$armes[$i][0] or date("m")==$armes[$i][0] ) 
					echo '<option value="'.$armes[$i][0].'" selected>'.$armes[$i][1].'</option>';
				else 
					echo '<option value="'.$armes[$i][0].'">'.$armes[$i][1].'</option>';
		}
		?>
      </select>
      </td>
    </tr>
    <tr>
      <td class="tragre">Cuenta De Banco: </td>
      <td class="inputcodigo">
	  <select name="banco" id="banco">
      <?php

			while(@$dt_catcta=mysqli_fetch_array($sq_catcta)){
				echo '<option value = "'.$dt_catcta["n_reg"].'">'.$dt_catcta["des_cta"].'</option>';
			}
	  ?>
      </select>
        &nbsp;</td>
    </tr>
    <tr>
      <td colspan="2"><div align="center">
          <input name="calcula" type="submit" id="calcula" onClick="openpage('DB21000_PRB.php','_self')" value="Generar poliza"/>
        </div></td>
    </tr>
  </table>
</form>
<?php

if(isset($_POST['calcula'])){
   	$f1 = $_POST['axo'].'-'.$_POST['mes'].'-01';
	$fr_fec = 'AMD';
    $fr_fecr = 'Ymd';
    $sep_fecr = '-';
	include('DF70000.php');

	$dt_catcta=mysqli_fetch_array(mysqli_query($con ,"select * from dbcatcta where n_reg='".$_POST['banco']."'"));

	$fec_ini = $fec_imes;
	$fec_fin = $fec_fmes;
	$tpol = $dt_catcta["pol_egr"]; // tipo de poliza
	$ori = "DB"; // indica ORIGEN c x c
	
	echo 'Procesando Polizas del '.$fec_ini.' al '.$fec_fin.'<br>';
	$sq_solici=mysqli_query($con ,"select * from table where fec_sol between '$fecini' and '$fecfin' order by fec_sol");
	while($dt_solici=mysqli_fetch_array($sq_solici)){ //lee encabezado de 
		$dt_catcta=mysqli_fetch_array(mysqli_query($con ,"select * from dbcatcta where n_reg='".$dt_solici['cta_ban']."'"));
		if($_POST["che_tra"]=='C'){
			$tpol= $dt_catcta["pol_egr"];
			//$des='CHEQUE ';
		}else{
			$tpol= $dt_catcta["pol_otr"];
			//$des='TRANSFERENCIA ';
		}
		echo '<br>';
		echo 'Procesando Fecha del '.$dt_solici['fec_sol'].'<br>';
		$auxFecAct=explode('-',$dt_solici['fec_sol']);
		$npol=$auxFecAct[2];
	   	$f1 = '".$dt_redocl['fec_doc']."';$fr_fec = 'AMD';$fr_fecr = 'Ymd';$sep_fecr = '/';
		include('DF70000.php');
		$dpol=$dt_solici['descripcion'];
		$fpol=$dt_solici['fec_sol'];
		$ipol=0;

		@$sql=mysqli_query($con ,"insert into dcepoliz (tip_pol, num_pol, fec_pol, desc_pol, acc_fec, acc_hor, usuario, origen, actualiza,imp_total) values ('$tpol', '$npol','$fpol', '$dpol', '".date('Y-m-d')."', '".date('H:i:s')."', '".$_SESSION['num_usu']."', '$ori', '0', $dt_solici['importe'])");
		$nr =mysqli_insert_id($con); //id alta poliza encabezado
		@$sq_polsol=mysqli_query($con ,"select * from dbpolsol where consec = '".$dt_solici['no_reg']."' AND area = 'C' order by cargo desc");
		while($dt_polsol=mysqli_fetch_array($sq_polsol)){ //lee doctos
			$ddpol=$dt_polsol['descrip'];
			$cta=$dt_polsol['cta_con'];
			$car=round($dt_polsol['cargo'],2);
			$abo=round($dt_polsol['abono'],2); 
			fgrab_dpol($tpol,$fpol,$npol,$nr,$cta,$ddpol,$car,$abo);//graba total Factura
		}//termina while documentos fecha especifica
	}// termina while encabezados
		echo '<br>';
		echo 'Fin Proceso Polizas Generadas Correctamente '.'<br>';
}// Termina Isset Calculo
?>
</body>
</html>